
Scripts = 
{

	developer = 
	{
	
		enabled = Config.Developer,
		files = 
		{ 
		
			script = "scripts/game/developer", 
					
		},
		
	},
	ground_digger = 
	{
	
		enabled = Config.Enabled["ground-digger"],
		files = 
		{ 
		
			script = "scripts/entities/assembling-machines/ground-digger", 
					
		},
		
	},
	electric_offshore_pump = 
	{
	
		enabled = Config.Enabled["electric-offshore-pump"],
		files = 
		{ 
		
			script = "scripts/entities/assembling-machines/electric-offshore-pump", 
					
		},
		
	},	
	burner_engine = 
	{
	
		enabled = ( Config.Enabled["burner-engine-1"] or
					Config.Enabled["burner-engine-2"] or 
					Config.Enabled["burner-engine-3"] or 
					Config.Enabled["burner-engine-4"] ),
		files = 
		{ 
		
			script = "scripts/entities/power/burner-engine", 
					
		},
		
	},
	manual_generator = 
	{
	
		enabled = Config.Enabled["manual-generator"],
		files = 
		{ 
		
			script = "scripts/entities/power/manual-generator", 
					
		},
		
	},	
	small_wind_turbine = 
	{
	
		enabled = Config.Enabled["small-wind-turbine"],
		files = 
		{ 
		
			script = "scripts/entities/power/small-wind-turbine", 
					
		},
		
	},
	inserter_adjustment = 
	{
	
		enabled = Config.Enabled["inserter-adjustment"],
		files = 
		{ 
		
			script = "scripts/entities/inserters/inserter-adjustment", 
					
		},
		
	},
	pipe_junctions = 
	{
	
		enabled = Config.Enabled["pipe-junctions"],
		files = 
		{ 
		
			script = "scripts/entities/pipes/pipe-junctions", 
					
		},
		
	},	
	player_crafting_speed = 
	{
	
		enabled = Config.Research["player-crafting-speed"],
		files = 
		{ 
		
			script = "scripts/technology/player-crafting-speed", 
					
		},
		
	},	
	player_mining_speed = 
	{
	
		enabled = Config.Research["player-mining-speed"],
		files = 
		{ 
		
			script = "scripts/technology/player-mining-speed", 
					
		},
		
	},


}

function DebugPrint ( text )

	if Config.Developer == true then
	
		game.players[1].print( text )
	
	end

end

function RequireControlFiles ( files )

	for k, v in pairs ( files ) do
	
		require ( v )
	
	end

end

EventTable = {}
EventTable.on_built_entity = {}
EventTable.on_robot_built_entity = {}
EventTable.on_preplayer_mined_item = {}
EventTable.on_robot_pre_mined = {}
EventTable.on_entity_died = {}
EventTable.on_tick = {}
EventTable.on_gui_click = {}
EventTable.on_research_finished = {}
EventTable.on_player_created = {}
EventTable.on_player_rotated_entity = {}
EventTable.adjust_object_properties = {}

function AddEventFunction( tab, func )

	table.insert( EventTable[tab], func )

end

function HandleEvents ( event, func )

	for k, v in pairs( EventTable[func] ) do
	
		v( event )
	
	end

end

function OnBuiltEntity( event )

	HandleEvents( event, "on_built_entity" )

end

function OnRobotBuiltEntity( event )

	HandleEvents( event, "on_robot_built_entity" )

end

function OnPrePlayerMinedItem( event )

	HandleEvents( event, "on_preplayer_mined_item" )

end

function OnRobotPreMined( event )

	HandleEvents( event, "on_robot_pre_mined" )

end

function OnEntityDied( event )

	HandleEvents( event, "on_entity_died" )

end

function OnTick( event )

	HandleEvents( event, "on_tick" )

end

function AdjustObjectProperties( event )

	HandleEvents( event, "adjust_object_properties" )

end

function OnGuiClick( event )

	HandleEvents( event, "on_gui_click" )

end

function OnResearchFinished( event )

	HandleEvents( event, "on_research_finished" )

end

function OnPlayerCreated( event )

	HandleEvents( event, "on_player_created" )

end

function OnPlayerRotatedEntity( event )

	HandleEvents( event, "on_player_rotated_entity" )

end


script.on_event( defines.events.on_built_entity, OnBuiltEntity )
script.on_event( defines.events.on_robot_built_entity, OnRobotBuiltEntity )
script.on_event( defines.events.on_pre_player_mined_item, OnPrePlayerMinedItem )
script.on_event( defines.events.on_robot_pre_mined, OnRobotPreMined )
script.on_event( defines.events.on_entity_died, OnEntityDied )
script.on_event( defines.events.on_tick, OnTick )
script.on_event( defines.events.on_gui_click, OnGuiClick )
script.on_event( defines.events.on_research_finished, OnResearchFinished )
script.on_event( defines.events.on_player_created, OnPlayerCreated )
script.on_event( defines.events.on_player_created, OnPlayerCreated )
script.on_event( defines.events.on_player_rotated_entity, OnPlayerRotatedEntity )

if ( Config.Enabled["inserter-adjustment"] == true ) or ( Config.Enabled["pipe-junctions"] == true ) then 
	script.on_event( "adjust-object-properties", AdjustObjectProperties ) 
end



