require ( "prototypes/entities/combat/cryo-turret-shared" )
require ( "prototypes/entities/combat/cryogenerator-stream" )
require ( "prototypes/items/combat/liquid-nitrogen-canister" )

data:extend({
	
  {
    type = "fluid-turret",
    name = Prototypes["cryo_turret_4"]["names"].entity,
	icons =
		  {
			{
				icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/combat/flamethrower-turret-4.png"
			},			
			{
				icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/combat/cryo-turret-icon.png",
			},
		  },
    flags = { "placeable-player", "placeable-enemy", "player-creation"},
    minable = {mining_time = 0.5, result = Prototypes["cryo_turret_4"]["names"].item},
    max_health = 1800,
    order="z-z-z",
    corpse = "medium-remnants",
	fast_replaceable_group = "container",
    collision_box = {{-0.7, -1.2 }, {0.7, 1.2}},
    selection_box = {{-1, -1.5 }, {1, 1.5}},
    rotation_speed = 0.015,
    preparing_speed = 0.08,
    folding_speed = 0.08,
    attacking_speed = 1,
    ending_attack_speed = 0.2,
    dying_explosion = "medium-explosion",
    inventory_size = 1,
    automated_ammo_count = 10,
    attacking_animation_fade_out = 10,
	turret_base_has_direction = true,
    
    resistances =
    {
      {
        type = "fire",
        percent = 100,
      },
    },
    
    fluid_box = 
    {
      --production_type = "input",
      secondary_draw_order = 0,
      render_layer = "lower-object",
      pipe_picture = fireutil.flamethrower_turret_pipepictures(),
      pipe_covers = pipecoverspictures(),
      base_area = 10,
      pipe_connections = {
        { position = {-1.5, 1.0} },
        { position = {1.5, 1.0} }
      }
    },
    fluid_buffer_size = 100,
    fluid_buffer_input_flow = 25 / 60, -- 5s to fill the buffer
    activation_buffer_ratio = 0.25,
    
    folded_animation = fireutil.flamethrower_turret_extension({frame_count = 1, line_length = 1}),
        
    preparing_animation = fireutil.flamethrower_turret_extension({}),
    prepared_animation = fireutil.flamethrower_prepared_animation(),   
    attacking_animation = fireutil.flamethrower_prepared_animation({attacking = true}), 
    ending_attack_animation = fireutil.flamethrower_prepared_animation({attacking = true}), 
    
    folding_animation = fireutil.flamethrower_turret_extension({ run_mode = "backward" }),     
    
    not_enough_fuel_indicator_picture = indicator_pictures,    
    enough_fuel_indicator_picture = fireutil.foreach(util.table.deepcopy(indicator_pictures), function (tab) tab.x = tab.width end),
    indicator_light = { intensity = 0.8, size = 0.9 },
    
    gun_animation_render_layer = "object",
    gun_animation_secondary_draw_order = 1,
    base_picture_render_layer = "lower-object",
    base_picture_secondary_draw_order = 1,
    base_picture =
    {
      north = {
        layers = {
          -- diffuse
          {
            filename = "__base__/graphics/entity/flamethrower-turret/flamethrower-turret-base-north.png",
            line_length = 1,
            width = 69,
            height = 86,
            frame_count = 1,
            axially_symmetrical = false,
            direction_count = 1,
            shift = {-0.015625, 0.34375},
          },
          -- mask
          {
            filename = "__base__/graphics/entity/flamethrower-turret/flamethrower-turret-base-north-mask.png",
            flags = { "mask" },
            line_length = 1,
            width = 37,
            height = 37,
            frame_count = 1,
            axially_symmetrical = false,
            direction_count = 1,
            shift = {-0.015625, 1.04688},
            apply_runtime_tint = true,
          },
          -- shadow
          {
            filename = "__base__/graphics/entity/flamethrower-turret/flamethrower-turret-base-north-shadow.png",
            draw_as_shadow = true, 
            line_length = 1,
            width = 71,
            height = 78,
            frame_count = 1,
            axially_symmetrical = false,
            direction_count = 1,
            shift = {0.140625, 0.46875},
          },
        }
      },
      east = {
        layers = {
          -- diffuse
          {
            filename = "__base__/graphics/entity/flamethrower-turret/flamethrower-turret-base-east.png",
            line_length = 1,
            width = 95,
            height = 60,
            frame_count = 1,
            axially_symmetrical = false,
            direction_count = 1,
            shift = {-0.140625, 0.125},
          },
          -- mask
          {
            filename = "__base__/graphics/entity/flamethrower-turret/flamethrower-turret-base-east-mask.png",
            flags = { "mask" },
            apply_runtime_tint = true,
            line_length = 1,
            width = 33,
            height = 42,
            frame_count = 1,
            axially_symmetrical = false,
            direction_count = 1,
            shift = {-1.01563, 0.03125},
          },
          -- shadow
          {
            filename = "__base__/graphics/entity/flamethrower-turret/flamethrower-turret-base-east-shadow.png",
            draw_as_shadow = true, 
            line_length = 1,
            width = 100,
            height = 44,
            frame_count = 1,
            axially_symmetrical = false,
            direction_count = 1,
            shift = {0.03125, 0.28125},
          },
        }
      },
      south = {
        layers = {
          -- diffuse
          {
            filename = "__base__/graphics/entity/flamethrower-turret/flamethrower-turret-base-south.png",
            line_length = 1,
            width = 70,
            height = 90,
            frame_count = 1,
            axially_symmetrical = false,
            direction_count = 1,
            shift = {0, -0.15625},
          },
          -- mask
          {
            filename = "__base__/graphics/entity/flamethrower-turret/flamethrower-turret-base-south-mask.png",
            flags = { "mask" },
            apply_runtime_tint = true,
            line_length = 1,
            width = 37,
            height = 37,
            frame_count = 1,
            axially_symmetrical = false,
            direction_count = 1,
            shift = {0.015625, -0.953125},
          },
          -- shadow
          {
            filename = "__base__/graphics/entity/flamethrower-turret/flamethrower-turret-base-south-shadow.png",
            draw_as_shadow = true,
            line_length = 1,
            width = 67,
            height = 70,
            frame_count = 1,
            axially_symmetrical = false,
            direction_count = 1,
            shift = {0.140625, -0.0625},
          },
        }

      },
      west = {
        layers = {
          -- diffuse
          {
            filename = "__base__/graphics/entity/flamethrower-turret/flamethrower-turret-base-west.png",
            line_length = 1,
            width = 93,
            height = 59,
            frame_count = 1,
            axially_symmetrical = false,
            direction_count = 1,
            shift = {0.140625, 0.203125},
          },
          -- mask
          {
            filename = "__base__/graphics/entity/flamethrower-turret/flamethrower-turret-base-west-mask.png",
            flags = { "mask" },
            apply_runtime_tint = true,
            line_length = 1,
            width = 33,
            height = 40,
            frame_count = 1,
            axially_symmetrical = false,
            direction_count = 1,
            shift = {1.01563, 0.09375},
          },
          -- shadow
          {
            filename = "__base__/graphics/entity/flamethrower-turret/flamethrower-turret-base-west-shadow.png",
            draw_as_shadow = true, 
            line_length = 1,
            width = 103,
            height = 45,
            frame_count = 1,
            axially_symmetrical = false,
            direction_count = 1,
            shift = {0.484375, 0.296875},
          },
        }
      },
    },
    
    muzzle_animation = nil,
    --[[{ 
      filename = "__base__/graphics/entity/flamethrower-turret/flamethrower-turret-muzzle-fire.png",
      line_length = 8,
      width = 17,
      height = 41,
      frame_count = 32,
      axially_symmetrical = false,
      direction_count = 1,
      blend_mode = "additive",
      scale = 0.5,
      shift = {0.015625 * 0.5, -0.546875 * 0.5 + 0.05},
    },--]]
    muzzle_light = {intensity = 0, size = 0},
    
    folded_muzzle_animation_shift          = fireutil.flamethrower_turret_preparing_muzzle_animation{ frame_count = 1,  orientation_count = 4, progress = 0, layers = {[0] = "object"} },
    preparing_muzzle_animation_shift       = fireutil.flamethrower_turret_preparing_muzzle_animation{ frame_count = 15, orientation_count = 4, layers = {[0] = "object"} },
    prepared_muzzle_animation_shift        = fireutil.flamethrower_turret_preparing_muzzle_animation{ frame_count = 1, orientation_count =  64, progress = 1},
    --starting_attack_muzzle_animation_shift = fireutil.flamethrower_turret_preparing_muzzle_animation{ frame_count = 1,  orientation_count = 64, progress = 1},
    attacking_muzzle_animation_shift       = fireutil.flamethrower_turret_preparing_muzzle_animation{ frame_count = 1,  orientation_count = 64, progress = 1},
    ending_attack_muzzle_animation_shift   = fireutil.flamethrower_turret_preparing_muzzle_animation{ frame_count = 1,  orientation_count = 64, progress = 1},
    folding_muzzle_animation_shift         = fireutil.flamethrower_turret_preparing_muzzle_animation{ frame_count = 15, orientation_count = 4, run_mode = "backward", layers = {[0] = "object"}},
    
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },

    prepare_range = 41,
    shoot_in_prepare_state = true,
    attack_parameters =
    {
      type = "stream",
      ammo_category = "cryogenetic",
      cooldown = 4,
      range = 36,
      min_range = 6,
      
      turn_range = 1.0/3.0,
      fire_penalty = 15,
      
      fluids = { 
        {type = "liquid-nitrogen", damage_modifier = 1.75},
      },
      fluid_consumption = 0.7,
      
      gun_center_shift = {
        north = math3d.vector2.add(fireutil.gun_center_base, fireutil.turret_gun_shift.north), 
        east = math3d.vector2.add(fireutil.gun_center_base, fireutil.turret_gun_shift.east),
        south = math3d.vector2.add(fireutil.gun_center_base, fireutil.turret_gun_shift.south), 
        west = math3d.vector2.add(fireutil.gun_center_base, fireutil.turret_gun_shift.west) 
      },
      gun_barrel_length = 0.4,
      
      ammo_type =
      {
        category = "cryogenetic",
        action =
        {
          type = "direct",
          action_delivery =
          {
            type = "stream",
            stream = "cryogenerator-stream",
            duration = 0,
            source_offset = {0.15, -0.5},
          }
        }
      },
      
      cyclic_sound =
      {
        begin_sound =
        {
          {
            filename = "__AnonyMods__/sound/fight/cryogenerator-start.ogg",
            volume = 0.7
          }
        },
        middle_sound =
        {
          {
            filename = "__AnonyMods__/sound/fight/cryogenerator-mid.ogg",
            volume = 0.7
          }
        },
        end_sound =
        {
          {
            filename = "__AnonyMods__/sound/fight/cryogenerator-end.ogg",
            volume = 0.7
          }
        }
      }
    }, -- {0,  0.625}
    call_for_help_radius = 40
  },
  
})