require "util"
local math3d = require "math3d"

data:extend({

	{
    type = "corpse",
    name = "ice-scorchmark",
    icon_size = 32,
	icon = "__base__/graphics/icons/small-scorchmark.png",
    flags = {"placeable-neutral", "not-on-map", "placeable-off-grid"},
    collision_box = {{-1.5, -1.5}, {1.5, 1.5}},
    collision_mask = {"doodad-layer", "not-colliding-with-itself"},
    selection_box = {{-1, -1}, {1, 1}},
    selectable_in_game = false,
    time_before_removed = ( 10 * 60 ),
    final_render_layer = "ground-patch-higher2",
    subgroup = "remnants",
    order="d[remnants]-b[scorchmark]-a[small]",
    animation =
    {
      --sheet=
      --{
        width = 110,
        height = 90,
        frame_count = 1,
		--tint = { r = 1, g = 1, b = 1, a = 0.25 },
        direction_count = 1,
        filename = "__AnonyMods__/graphics/entity/cryogenerator/ice-scorchmark.png",
        variation_count = 3
      --}
    },
    ground_patch =
    {
      sheet =
      {
        width = 110,
        height = 90,
        frame_count = 1,
		--tint = { r = 1, g = 1, b = 1, a = 0.25 },
        direction_count = 1,
        x = 110 * 2,
        filename = "__AnonyMods__/graphics/entity/cryogenerator/ice-scorchmark.png",
        variation_count = 3
      }
    },
    ground_patch_higher =
    {
      sheet =
      {
        width = 110,
        height = 90,
        frame_count = 1,
		--tint = { r = 1, g = 1, b = 1, a = 0.25 },
        direction_count = 1,
        x = 110,
        filename = "__AnonyMods__/graphics/entity/cryogenerator/ice-scorchmark.png",
        variation_count = 3
      }
    }
    },

	{
    type = "sticker",
    name = "cryogenerator-sticker",
    flags = {"not-on-map"},
    
    animation = 
    { 
      filename = "__AnonyMods__/graphics/entity/cryogenerator/ice-sticker.png",
      line_length = 1,
      width = 64,
      height = 64,
      frame_count = 1,
      axially_symmetrical = true,
      direction_count = 1,
      --blend_mode = "normal",
      animation_speed = 1,
      scale = 0.2,
      --tint = { r = 0.5, g = 0.5, b = 0.5, a = 0.18 }, --{ r = 1, g = 1, b = 1, a = 0.35 },
      --shift = math3d.vector2.mul({-0.078125, -1.8125}, 0.1),
    },
    
    duration_in_ticks = 6 * 60,
    target_movement_modifier = 0,
    damage_per_tick = { amount = 60 / 60, type = "freeze" },
    --spread_fire_entity = "fire-flame-on-tree",  
    --fire_spread_cooldown = 0,
    --fire_spread_radius = 0,
   },

   {
    type = "stream",
    name = "cryogenerator-stream",
    flags = {"not-on-map"},
    working_sound_disabled =
    {
      {
        filename = "__base__/sound/fight/electric-beam.ogg",
        volume = 0.7
      }
    },
    
    --[[smoke_sources =
    {
      {
        name = "soft-fire-smoke",
        frequency = 0.05, --0.25,
        position = {0.0, 0}, -- -0.8},
        starting_frame_deviation = 60
      }
    },--]]
  
    stream_light = {intensity = 0, size = 0},
    ground_light = {intensity = 0, size = 0},
  
    particle_buffer_size = 65,
    particle_spawn_interval = 1,
    particle_spawn_timeout = 1,
    particle_vertical_acceleration = 0.005 * 0.6,
    particle_horizontal_speed = 0.25,
    particle_horizontal_speed_deviation = 0.0035,
    particle_start_alpha = 1,
    particle_end_alpha = 0.4,
    particle_start_scale = 0.2,
    particle_loop_frame_count = 3,
    particle_fade_out_threshold = 0.9,
    particle_loop_exit_threshold = 0.25,
    action =
    {
      {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          target_effects =
          {
            {
              type = "damage",
              damage = { amount = 1, type = "freeze" }
            },
			{
			  type = "create-entity",
			  entity_name = "ice-scorchmark"
            },
          }
        }
      },
      {
        type = "area",
        radius = 2.5,
        action_delivery =
        {
          type = "instant",
          target_effects =
          {
            {
              type = "create-sticker",
              sticker = "cryogenerator-sticker"
            },
          }
        }
      }
    },
    
    spine_animation = nil,
    --[[{ 
      filename = "__AnonyMods__/graphics/entity/cryogenerator/cryostream.png",
      blend_mode = "additive",
      tint = {r=1, g=1, b=1, a=0.5},
      line_length = 4,
      width = 32,
      height = 18,
      frame_count = 32,
      axially_symmetrical = false,
      direction_count = 1,
      animation_speed = 2,
      scale = 0.75,
      shift = {0, 0},
    },--]]
    
    shadow =
    {
      filename = "__base__/graphics/entity/acid-projectile-purple/acid-projectile-purple-shadow.png",
      line_length = 5,
      width = 28,
      height = 16,
      frame_count = 33,
      priority = "high",
      scale = 0.5,
      shift = {-0.09 * 0.5, 0.395 * 0.5}
    },
    
    particle =
    {
      filename = "__AnonyMods__/graphics/entity/cryogenerator/cryoeffect.png",
      priority = "extra-high",
      width = 64,
      height = 64,
      frame_count = 32,
      line_length = 8,
      scale = 1.5,
    },
  }
  
})