data:extend({

 {
    type = "assembling-machine",
    name = Prototypes["burner_foundry"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/furnaces/burner-foundry.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 1, result = Prototypes["burner_foundry"]["names"].entity},
    max_health = 250,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
		pipe_picture = assembler2pipepictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, 2} }}
      },
	  --[[{
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {2, 0} }}
      },
	  {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-2, 0} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {0, 2} }}
      },--]]
      off_when_no_fluid_recipe = true
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    fast_replaceable_group = "assembling-machine",
    animation =
    {
      filename = "__AnonyMods__/graphics/entity/burner-foundry/burner-foundry.png",
      priority = "high",
      width = 226,
      height = 198,
      frame_count = 32,
      line_length = 8,
      shift = {0.325, 0},
	  scale = 0.5,
    },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = { filename = "__base__/sound/furnace.ogg" }
    },
    crafting_categories = {"foundry-crafting"},
    crafting_speed = 0.5,
    energy_usage = "240kW",
    energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 0.5,
          position = {0.7, -1.65},
          starting_vertical_speed = 0.01
        },
		{
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 0.5,
          position = {-0.7, -1.65},
          starting_vertical_speed = 0.01
        },
		{
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 0.5,
          position = {-0.7, 0},
          starting_vertical_speed = 0.01
        },
		{
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 0.5,
          position = {0.7, 0},
          starting_vertical_speed = 0.01
        }
      }
    },
    ingredient_count = 4,
    --[[module_specification =
    {
      module_slots = 2
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"}--]]
  }
  
})  
  
  