data:extend({
	
  {
    type = "assembling-machine",
    name = Prototypes["stone_chemical_furnace"]["names"].item,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/furnaces/stone-chemical-furnace.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = Prototypes["stone_chemical_furnace"]["names"].item},
    max_health = 50,
    corpse = "big-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 80
      }
    },
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0.5, -1.5} }}
      },
	  --[[{
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {2, 0} }}
      },
	  {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-2, 0} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {0, 2} }}
      },--]]
      off_when_no_fluid_recipe = false
    },
    collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{-1, -1}, {1, 1}},
    fast_replaceable_group = "furnace",
    animation =
    {
	
		north =
		{
		filename = "__AnonyMods__/graphics/entity/stone-chemical-furnace/north.png",
		priority = "high",
		width = 128,
		height = 128,
		frame_count = 1,
		line_length = 1,
		shift = {0.35, 0},
		scale = 0.7,
		},		
		east =
		{
		filename = "__AnonyMods__/graphics/entity/stone-chemical-furnace/east.png",
		priority = "high",
		width = 128,
		height = 128,
		frame_count = 1,
		line_length = 1,
		shift = {0.35, 0},
		scale = 0.7,
		},		
		south =
		{
		filename = "__AnonyMods__/graphics/entity/stone-chemical-furnace/south.png",
		priority = "high",
		width = 128,
		height = 128,
		frame_count = 1,
		line_length = 1,
		shift = {0.35, 0},
		scale = 0.7,
		},		
		west =
		{
		filename = "__AnonyMods__/graphics/entity/stone-chemical-furnace/west.png",
		priority = "high",
		width = 128,
		height = 128,
		frame_count = 1,
		line_length = 1,
		shift = {0.35, 0},
		scale = 0.7,
		},
	  
    },
	working_visualisations =
    {
      {
        north_position = {0.0, -1.25},
        east_position = {0.0, -1.25},
        south_position = {0.0, -1.25},
        west_position = {0.0, -1.25},
        animation =
        {
          filename = "__AnonyMods__/graphics/entity/stone-chemical-furnace/chemical-furnace-effects.png",
          priority = "extra-high",
          line_length = 32,
		  frame_count = 32,
          width = 32,
          height = 32,
          animation_speed = 0.75,
          axially_symmetrical = false,
          direction_count = 1,
          shift = {0, 0.38},
		  scale = 0.7,
        },
        light = {intensity = 1, size = 1}
	   }
    },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = { filename = "__base__/sound/furnace.ogg" }
    },
    crafting_categories = {"chemical-furnace-crafting"},
    crafting_speed = 0.5,
    energy_usage = "180kW",
    energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
      smoke =
      {
		{
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 5,
          position = {0.0, -1.05},
          starting_vertical_speed = 0.08,
          starting_frame_deviation = 60
        }
      }
    },
    ingredient_count = 4,
  }
  
})  
  
  