data:extend({

  {
    type = "furnace",
    name = Prototypes["void_machine"]["names"].item,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/furnaces/void-machine.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = Prototypes["void_machine"]["names"].item},
    max_health = 100,
    corpse = "small-remnants",
    dying_explosion = "medium-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 100
      }
    },
	fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {
		
			{ type="input", position = {0.5, -1.5} },
		
		}
      },
      off_when_no_fluid_recipe = true
    },
    collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{-1, -1}, {1, 1}},
    crafting_categories = {"void-machine"},
    result_inventory_size = 1,
    crafting_speed = 1,
    energy_usage = "175kW",
    source_inventory_size = 1,
	module_specification =
    {
      module_slots = 2,
      module_info_icon_shift = {0, 0.8}
    },
    allowed_effects = {"consumption", "pollution"},
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.1
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = { filename = "__base__/sound/oil-refinery.ogg" },
      apparent_volume = 2.5,
    },
    animation =
    {
        filename = "__AnonyMods__/graphics/entity/void-machine/void-machine.png",
        priority = "high",
        shift = {2, -2},
		scale = 1,
		frame_count = 1,
        width = 256,
        height = 256
    },
	working_visualisations =
    {
      {
        north_position = util.by_pixel(0, -153),
        east_position = util.by_pixel(0, -153),
        south_position = util.by_pixel(0, -153),
        west_position = util.by_pixel(0, -153),
        animation =
        {
          filename = "__base__/graphics/entity/oil-refinery/oil-refinery-fire.png",
          line_length = 10,
          width = 20,
          height = 40,
          frame_count = 60,
          animation_speed = 0.75,
          shift = util.by_pixel(0, -14),
          hr_version = {
            filename = "__base__/graphics/entity/oil-refinery/hr-oil-refinery-fire.png",
            line_length = 10,
            width = 40,
            height = 81,
            frame_count = 60,
            animation_speed = 0.75,
            scale = 0.5,
            shift = util.by_pixel(0, -14.25),
          },
        },
        light = {intensity = 0.4, size = 6, color = {r = 1.0, g = 1.0, b = 1.0}}
      }
    },
    fast_replaceable_group = "furnace"
  },
  
})  
  
  