require( "prototypes/entities/metallurgy/metallurgy-pipe-covers" )

data:extend({

 {
    type = "assembling-machine",
    name = Prototypes["ore_washing_plant_2"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/ore-washing-plant-2.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = Prototypes["ore_washing_plant_2"]["names"].entity},
    max_health = 150,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 60
      }
    },
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_picture = metallurgypipes(),
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, -2} }}
      },
      {
        production_type = "output",
        pipe_picture = metallurgypipes(),
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {0, 2} }}
      },
      off_when_no_fluid_recipe = true
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    fast_replaceable_group = "assembling-machine",
    animation =
    {
          filename = "__AnonyMods__/graphics/entity/metallurgy/ore-washing-plant/ore-washing-plant-2.png",
          priority = "high",
          width = 128,
          height = 128,
          frame_count = 32,
          line_length = 8,
		  animation_speed = 3,
          shift = { 0.5, -0.5 },
		  hr_version = {
			filename = "__AnonyMods__/graphics/entity/metallurgy/ore-washing-plant/hr-ore-washing-plant-2.png",
			priority = "high",
			width = 256,
			height = 256,
			frame_count = 32,
			line_length = 8,
			animation_speed = 3,
			shift = { 0.5, -0.5 },
			scale = 0.5
			},
    },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = {
			{
			  filename = "__AnonyMods__/sound/metallurgy-washer.ogg",
			  volume = 0.7
			},
		},
      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
      apparent_volume = 1,
    },
    crafting_categories = {"metallurgy-washing",},
    crafting_speed = 2,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.02
    },
    energy_usage = "180kW",
    ingredient_count = 10,
    module_specification =
    {
      module_slots = 2
    },
    allowed_effects = {"consumption", "speed", "pollution"}
  }
  
})  
  
  