data:extend({

  {
    type = "mining-drill",
    name = Prototypes["advanced_burner_mining_drill"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/mining/advanced-burner-mining-drill.png",
    flags = {"placeable-neutral", "player-creation"},
    resource_categories = {"basic-solid"},
    minable = {mining_time = 1, result = Prototypes["advanced_burner_mining_drill"]["names"].item},
    max_health = 200,
    corpse = "medium-remnants",
    collision_box = {{ -0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{ -1, -1}, {1, 1}},
    mining_speed = 0.35,
	mining_power = 2.5,
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/burner-mining-drill.ogg",
        volume = 0.8
      },
    },
    energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 2,
      emissions = 0.1 / 3,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 3
        }
      }
    },
    energy_usage = "450kW",
    animations =
    {
      north =
      {
        layers = 
        {
          {
            priority = "extra-high",
            width = 87,
            height = 95,
            line_length = 4,
            shift = util.by_pixel(2.5, 0.5),
            filename = "__base__/graphics/entity/burner-mining-drill/burner-mining-drill-N.png",
            frame_count = 32,
            animation_speed = 0.75,
			tint = { r = 1, g = 0.8, b = 0.1 },
            run_mode = "forward-then-backward",
            hr_version = {
              priority = "extra-high",
              width = 173,
              height = 188,
              line_length = 4,
              shift = util.by_pixel(2.75, 0.5),
              filename = "__base__/graphics/entity/burner-mining-drill/hr-burner-mining-drill-N.png",
              frame_count = 32,
              animation_speed = 0.75,
			  tint = { r = 1, g = 0.8, b = 0.1 },
              run_mode = "forward-then-backward",
              scale = 0.5
            }
          },
          {
            priority = "extra-high",
            width = 109,
            height = 76,
            line_length = 4,
            shift = util.by_pixel(23.5, -1),
            filename = "__base__/graphics/entity/burner-mining-drill/burner-mining-drill-N-shadow.png",
            frame_count = 32,
            animation_speed = 0.75,
            run_mode = "forward-then-backward",
            draw_as_shadow = true,
            hr_version = {
              priority = "extra-high",
              width = 217,
              height = 150,
              line_length = 4,
              shift = util.by_pixel(23.75, -1),
              filename = "__base__/graphics/entity/burner-mining-drill/hr-burner-mining-drill-N-shadow.png",
              frame_count = 32,
              animation_speed = 0.75,
              run_mode = "forward-then-backward",
              draw_as_shadow = true,
              scale = 0.5
            },
          },
        },
      },
      east =
      {
        layers =
        {
          {
            priority = "extra-high",
            width = 93,
            height = 84,
            line_length = 4,
            shift = util.by_pixel(2.5, 1),
            filename = "__base__/graphics/entity/burner-mining-drill/burner-mining-drill-E.png",
            frame_count = 32,
            animation_speed = 0.75,
			tint = { r = 1, g = 0.8, b = 0.1 },
            run_mode = "forward-then-backward",
            hr_version = {
              priority = "extra-high",
              width = 185,
              height = 168,
              line_length = 4,
              shift = util.by_pixel(2.75, 1),
              filename = "__base__/graphics/entity/burner-mining-drill/hr-burner-mining-drill-E.png",
              frame_count = 32,
              animation_speed = 0.75,
			  tint = { r = 1, g = 0.8, b = 0.1 },
              run_mode = "forward-then-backward",
              scale = 0.5
            },
          },
          {
            priority = "extra-high",
            width = 93,
            height = 65,
            line_length = 4,
            shift = util.by_pixel(13.5, 0.5),
            filename = "__base__/graphics/entity/burner-mining-drill/burner-mining-drill-E-shadow.png",
            frame_count = 32,
            animation_speed = 0.75,
            run_mode = "forward-then-backward",
            draw_as_shadow = true,
            hr_version = {
              width = 185,
              height = 128,
              line_length = 4,
              shift = util.by_pixel(13.75, 0.5),
              filename = "__base__/graphics/entity/burner-mining-drill/hr-burner-mining-drill-E-shadow.png",
              frame_count = 32,
              animation_speed = 0.75,
              run_mode = "forward-then-backward",
              draw_as_shadow = true,
              scale = 0.5
            },
          },
        },
      },
      south =
      {
        layers =
        {
          {
            priority = "extra-high",
            width = 87,
            height = 87,
            line_length = 4,
            shift = util.by_pixel(0.5, -0.5),
            filename = "__base__/graphics/entity/burner-mining-drill/burner-mining-drill-S.png",
            frame_count = 32,
            animation_speed = 0.75,
			tint = { r = 1, g = 0.8, b = 0.1 },
            run_mode = "forward-then-backward",
            hr_version = {
              priority = "extra-high",
              width = 174,
              height = 174,
              line_length = 4,
              shift = util.by_pixel(0.5, -0.5),
              filename = "__base__/graphics/entity/burner-mining-drill/hr-burner-mining-drill-S.png",
              frame_count = 32,
              animation_speed = 0.75,
			  tint = { r = 1, g = 0.8, b = 0.1 },
              run_mode = "forward-then-backward",
              scale = 0.5
            },
          },
          {
            priority = "extra-high",
            width = 88,
            height = 69,
            line_length = 4,
            shift = util.by_pixel(11, 2.5),
            filename = "__base__/graphics/entity/burner-mining-drill/burner-mining-drill-S-shadow.png",
            frame_count = 32,
            animation_speed = 0.75,
            run_mode = "forward-then-backward",
            draw_as_shadow = true,
            hr_version = {
              priority = "extra-high",
              width = 174,
              height = 137,
              line_length = 4,
              shift = util.by_pixel(11, 2.75),
              filename = "__base__/graphics/entity/burner-mining-drill/hr-burner-mining-drill-S-shadow.png",
              frame_count = 32,
              animation_speed = 0.75,
              run_mode = "forward-then-backward",
              draw_as_shadow = true,
              scale = 0.5
            },
          },
        },
      },
      west =
      {
        layers =
        {
          {
            priority = "extra-high",
            width = 91,
            height = 88,
            line_length = 4,
            shift = util.by_pixel(-1.5, 0),
            filename = "__base__/graphics/entity/burner-mining-drill/burner-mining-drill-W.png",
            frame_count = 32,
            animation_speed = 0.75,
			tint = { r = 1, g = 0.8, b = 0.1 },
            run_mode = "forward-then-backward",
            hr_version = {
              priority = "extra-high",
              width = 180,
              height = 176,
              line_length = 4,
              shift = util.by_pixel(-1.5, 0),
              filename = "__base__/graphics/entity/burner-mining-drill/hr-burner-mining-drill-W.png",
              frame_count = 32,
              animation_speed = 0.75,
			  tint = { r = 1, g = 0.8, b = 0.1 },
              run_mode = "forward-then-backward",
              scale = 0.5
            },
          },
          {
            priority = "extra-high",
            width = 89,
            height = 66,
            line_length = 4,
            shift = util.by_pixel(7.5, 1),
            filename = "__base__/graphics/entity/burner-mining-drill/burner-mining-drill-W-shadow.png",
            frame_count = 32,
            animation_speed = 0.75,
            run_mode = "forward-then-backward",
            draw_as_shadow = true,
            hr_version = {
              priority = "extra-high",
              width = 176,
              height = 130,
              line_length = 4,
              shift = util.by_pixel(7.5, 1),
              filename = "__base__/graphics/entity/burner-mining-drill/hr-burner-mining-drill-W-shadow.png",
              frame_count = 32,
              animation_speed = 0.75,
              run_mode = "forward-then-backward",
              draw_as_shadow = true,
              scale = 0.5
            },
          },
        },
      },
    },
    monitor_visualization_tint = {r=78, g=173, b=255},
    resource_searching_radius = 0.99,
    vector_to_place_result = {-0.5, -1.3},
    fast_replaceable_group = "mining-drill",
    circuit_wire_connection_points = circuit_connector_definitions["burner-mining-drill"].points,
    circuit_connector_sprites = circuit_connector_definitions["burner-mining-drill"].sprites,
    circuit_wire_max_distance = 9,
  }
  
})  
  
  