data:extend({

 {
    type = "offshore-pump",
    name = "dummy-electric-offshore-pump",
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/pipes/electric-offshore-pump.png",
    flags = {"placeable-neutral", "player-creation", "filter-directions"},
	collision_mask = { "ground-tile", "object-layer" },
    fluid_box_tile_collision_test = { "ground-tile" },
    adjacent_tile_collision_test = { "water-tile" },
    minable = {mining_time = 1, result = Prototypes["electric_offshore_pump"]["names"].entity},
    max_health = 80,
    corpse = "small-remnants",
    fluid = "water",
    collision_box = {{-0.6, -0.45}, {0.6, 0.3}},
    selection_box = {{-1, -1.49}, {1, 0.49}},
    fluid_box =
    {
      base_area = 1,
      pipe_covers = pipecoverspictures(),
      pipe_connections =
      {
        { position = {0, 1} },
      },
    },
    pumping_speed = 40,
    tile_width = 1,
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    picture =
    {
      north =
      {
        filename = "__AnonyMods__/graphics/entity/electric-offshore-pump/electric-offshore-pump.png",
        priority = "high",
        shift = {0.90625, 0.0625},
        width = 160,
        height = 102
      },
      east =
      {
        filename = "__AnonyMods__/graphics/entity/electric-offshore-pump/electric-offshore-pump.png",
        priority = "high",
        shift = {0.90625, 0.0625},
        x = 160,
        width = 160,
        height = 102
      },
      south =
      {
        filename = "__AnonyMods__/graphics/entity/electric-offshore-pump/electric-offshore-pump.png",
        priority = "high",
        shift = {0.90625, 0.65625},
        x = 320,
        width = 160,
        height = 102
      },
      west =
      {
        filename = "__AnonyMods__/graphics/entity/electric-offshore-pump/electric-offshore-pump.png",
        priority = "high",
        shift = {1.0, 0.0625},
        x = 480,
        width = 160,
        height = 102
      }
    },
	placeable_position_visualization =
    {
      filename = "__core__/graphics/cursor-boxes-32x32.png",
      priority = "extra-high-no-scale",
      width = 64,
      height = 64,
      scale = 0.5,
      x = 3*64
    },
    circuit_wire_connection_points = circuit_connector_definitions["offshore-pump"].points,
    circuit_connector_sprites = circuit_connector_definitions["offshore-pump"].sprites,
    circuit_wire_max_distance = default_circuit_wire_max_distance,
	ssubgroup = "energy",
    order = "a",

  },	

 {
    type = "assembling-machine",
    name = Prototypes["electric_offshore_pump"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/pipes/electric-offshore-pump.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation", "placeable-off-grid"},
    minable = {hardness = 0.2, mining_time = 0.5, result = Prototypes["electric_offshore_pump"]["names"].entity},
	selectable_in_game = true,
    max_health = 100,
	fixed_recipe = "electric-offshore-pumping",
    corpse = "small-remnants",
    fluid_boxes =
    {
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        pipe_connections = {{ position = {0, 1.5} }}
      },
      off_when_no_fluid_recipe = falses
    },
    collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{-1, -1}, {1, 1}},
    fast_replaceable_group = "assembling-machine",
    animation =
    {
      north =
      {
        filename = "__AnonyMods__/graphics/entity/electric-offshore-pump/electric-offshore-pump.png",
        priority = "high",
        shift = {0.90625, 0.0625 + 0.5},
		frame_count = 1,
        width = 160,
        height = 102
      },
      east =
      {
        filename = "__AnonyMods__/graphics/entity/electric-offshore-pump/electric-offshore-pump.png",
        priority = "high",
        shift = {0.90625 - 0.5, 0.0625},
		frame_count = 1,
        x = 160,
        width = 160,
        height = 102
      },
      south =
      {
        filename = "__AnonyMods__/graphics/entity/electric-offshore-pump/electric-offshore-pump.png",
        priority = "high",
        shift = {0.90625, 0.65625 - 0.5},
		frame_count = 1,
        x = 320,
        width = 160,
        height = 102
      },
      west =
      {
        filename = "__AnonyMods__/graphics/entity/electric-offshore-pump/electric-offshore-pump.png",
        priority = "high",
        shift = {1.0 + 0.5, 0.0625},
		frame_count = 1,
        x = 480,
        width = 160,
        height = 102
      },
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    --[[working_sound =
    {
      sound = 
	  {           
			filename = "__base__/sound/pipe.ogg",
			volume = 0.7 
	  }
    },--]]
    crafting_categories = {"offshore-pump"},
    crafting_speed = 1,
    energy_usage = "95kW",
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0
    },
    ingredient_count = 1,
	subgroup = "energy",
    order = "a",
  }
  
})  
  
  