require ("prototypes/entities/power/burner-engine")

function NilAnim()

	return {
        filename = "__core__/graphics/empty.png",
        priority = "low",
		frame_count = 1,
        width = 1,
        height = 1,
      }

end


data:extend({

	{
    type = "solar-panel",
    name = Prototypes["burner_engine_1"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/power/burner-engine-1.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = nil,
	selectable_in_game = false,
	subgroup = "AnonyMods-SteamEngines",
    order = "d",
    max_health = 400,
    corpse = "big-remnants",
    collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    energy_source =
    {
      type = "electric",
      usage_priority = "solar"
    },
    picture =
	{
		  filename = "__AnonyMods__/graphics/entity/burner-engine/burner-engine-1/burner-engine-1.png",
		  width = 192,
		  height = 192,
		  frame_count = 24,
		  line_length = 6,
		  shift = {1.5, 0}
	},
    production = "816kW"
    },

	{
    type = "generator",
    name = Prototypes["burner_engine_1"]["names"].entity.."-engine",
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/power/burner-engine-1.png",
    flags = {"placeable-neutral","player-creation","placeable-off-grid"},
    minable = {mining_time = 1, result = "steam-engine"},
	selectable_in_game = false,
    max_health = 400,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
	order = "z",
	subgroup = "other",
    effectivity = 1,
    fluid_usage_per_tick = 0.16,
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
	collision_box = {{-0.6, -0.6}, {0.6, 0.6}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    fluid_box =
    {
      base_area = 1,
      --pipe_covers = pipecoverspictures(),
      pipe_connections =
      {
        { position = {-1, 0} }
      },
	},
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-output"
    },
    horizontal_animation =
    {
		  filename = "__AnonyMods__/graphics/entity/burner-engine/burner-engine-1/burner-engine-1.png",
		  width = 192,
		  height = 192,
		  frame_count = 24,
		  line_length = 6,
		  animation_speed = 2,
		  shift = {1, 0}
    },
    vertical_animation =
    {
		  filename = "__AnonyMods__/graphics/entity/burner-engine/burner-engine-1/burner-engine-1.png",
		  width = 192,
		  height = 192,
		  frame_count = 24,
		  line_length = 6,
		  animation_speed = 2,
		  shift = {1, 0}
    },
    smoke =
    {
      {
        name = "smoke",
        position = {-0.45, -1},
        frequency = 10 / 32,
        starting_vertical_speed = 0.08,
        slow_down_factor = 1,
        starting_frame_deviation = 60,
      }
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound =
      {
        filename = "__AnonyMods__/sound/burner-generator.ogg",
        volume = 0.6
      },
      match_speed_to_activity = true,
    },
    min_perceived_performance = 0.25,
    performance_to_sound_speedup = 0.35
  },

  {
    type = "boiler",
    name = Prototypes["burner_engine_1"]["names"].entity.."-boiler",
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/power/burner-engine-1.png",
    flags = {"placeable-neutral", "player-creation","placeable-off-grid"},
    minable = {hardness = 0.5, mining_time = 0.5, result = Prototypes["burner_engine_1"]["names"].item},
	selectable_in_game = true,
    max_health = 400,
	order = "z",
	subgroup = "other",
    corpse = "small-remnants",
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    --fast_replaceable_group = "pipe",
	collision_box = {{-1, -1}, {1, 1}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    fluid_box =
    {
      base_area = 10,
      --pipe_covers = pipecoverspictures(),
      pipe_connections =
      {
        { position = {1, 0} },
        { position = {-1, 0} },
      },
    },
    energy_consumption = "816kW",
    burner =
    {
      effectivity = 0.25,
      fuel_inventory_size = 1,
      emissions = 0.02,
      --[[smoke =
      {
        {
          name = "smoke",
          position = {0.0, -0.8},
          frequency = 5,
          starting_vertical_speed = 0.0,
          starting_frame_deviation = 60
        }
      }--]]
    },
    working_sound = nil,
    structure =
    {
      left = NilAnim(),
      down = NilAnim(),
      left_down = NilAnim(),
      right_down = NilAnim(),
      left_up = NilAnim(),
      right_up = NilAnim(),
      t_down = NilAnim(),
      t_up = NilAnim(),
    },
	fire =
    {
      left = NilAnim(),
      down = NilAnim(),
      left_down = NilAnim(),
      right_down = NilAnim(),
      left_up = NilAnim(),
      right_up = NilAnim(),
      t_up = NilAnim(),
    },
    burning_cooldown = 1,
    -- these are the pipe pictures - boiler is a pipe as well
    pictures = nil,
    --pictures = pipepictures()
  },

  
})  
  
  