
function NilAnim()

	return {
        filename = "__core__/graphics/empty.png",
        priority = "low",
		frame_count = 1,
        width = 1,
        height = 1,
      }

end


data:extend({

	{
    type = "simple-entity",
    name = "burner-engine-bounding",
    flags = {"placeable-neutral","player-creation"},
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/power/burner-engine-1.png",
    subgroup = "AnonyMods-SteamEngines",
    order = "d",
    collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{0, 0}, {0, 0}},
	selectable_in_game = false,
    minable = nil,
    --[[{
      mining_particle = "stone-particle",
      mining_time = 8,
      result = "stone",
      count = 20
    },--]]
    mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },
    render_layer = "object",
    max_health = 400,
    resistances =
    {
      {
        type = "fire",
        percent = 100
      }
    },
    pictures = 
    {
		NilAnim(),
    }
    },

	{
    type = "fluid",
    name = "burner-engine-fluid",
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/fluids/benzene.png",
    default_temperature = 15,
    heat_capacity = "1KJ",
    base_color = {r=0.64, g=0.41, b=0},
    flow_color = {r=0.8, g=0.8, b=0.8},
    max_temperature = 100,
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "b-e-f"
	},
	
  {
    type = "offshore-pump",
    name = "burner-engine-pump",
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/power/burner-engine-1.png",
    flags = {"placeable-neutral", "player-creation", "filter-directions"},
    minable = {mining_time = 1, result = "offshore-pump"},
	selectable_in_game = false,
    max_health = 400,
    corpse = "small-remnants",
	order = "z",
	subgroup = "other",
    fluid = "burner-engine-fluid",
    resistances =
    {
      {
        type = "fire",
        percent = 100
      }
    },
    --collision_box = {{-0.3, -0.15}, {0.3, 0.15}},
    --selection_box = {{-0.5, -0.745}, {0.5, 0.245}},
    collision_box = {{-0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    fluid_box =
    {
      base_area = 100,
      --pipe_covers = pipecoverspictures(),
      pipe_connections =
      {
        --{ position = {0, -1} },
        { position = {1, 0} },
        --{ position = {0, 1} },
        --{ position = {-1, 0} }
      },
    },
    pumping_speed = 100,
    tile_width = 1,
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    picture =
    {
      north = NilAnim(),
      east = NilAnim(),
      south = NilAnim(),
      west = NilAnim(),
	},
    circuit_wire_connection_points =
    {
      {
        shadow =
        {
          red = {2.7125, 0.20625},
          green = {2.7125, 0.20625},
        },
        wire =
        {
          red = {0.4, -0.41875},
          green = {0.4, -0.41875},
        }
      },
      {
        shadow =
        {
          red = {2.025, 0.83125},
          green = {2.025, 0.83125},
        },
        wire =
        {
          red = {0.36875, -0.1375},
          green = {0.36875, -0.1375},
        }
      },
      {
        shadow =
        {
          red = {1.09, 1.025},
          green = {1.09, 1.025},
        },
        wire =
        {
          red = {-0.50625, 0.2125},
          green = {-0.50625, 0.2125},
        }
      },
      {
        shadow =
        {
          red = {1.6875, -0.10625},
          green = {1.6875, -0.10625},
        },
        wire =
        {
          red = {-0.34375, -0.73125},
          green = {-0.34375, -0.73125},
        }
      }
    },
	circuit_connector_sprites =
    {
      get_circuit_connector_sprites({0.90625, -0.15625}, nil, 0),
      get_circuit_connector_sprites({0, 0.03125}, nil, 6),
      get_circuit_connector_sprites({-0.9375, -0.25}, nil, 4),
      get_circuit_connector_sprites({0.125, -1.3125}, nil, 2),
    },
    circuit_wire_max_distance = 7.5

  },
  
})  
  
  