data:extend({
  
  --[[{
  type = "pipe-to-ground",
  name = "small-wind-turbine-pipe",
  icon_size = 32,
	icon = "__base__/graphics/icons/pipe.png",
  flags = {"placeable-neutral", "player-creation", "not-deconstructable", "not-blueprintable", "not-repairable"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "pipe"},
  max_health = 50,
  corpse = "small-remnants",
  subgroup = "production-machine",
  order = "dd",
  selectable_in_game = true,
  resistances =
  {
    {
      type = "fire",
      percent = 90
    }
  },
  fast_replaceable_group = "pipe",
  collision_box = {{-0.29, -0.29}, {0.29, 0.29}},
  selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
  fluid_box =
  {
    base_area = 100,
    pipe_covers = pipecoverspictures(),
    pipe_connections =
    {
		{ position = {-1, 0}, type="output" },
		{ position = {0, -1}, type="output" },
		{ position = {1, 0}, type="output" },
		{ position = {0, 1}, type="output" },
    },
  },
  underground_sprite =
  {
    filename = "__core__/graphics/empty.png",
    priority = "high",
    width = 1,
    height = 1
  },
  vehicle_impact_sound =
  {
    filename = "__base__/sound/car-metal-impact.ogg",
    volume = 0.65
  },
  pictures =
  {
    up =
    {
		filename = "__core__/graphics/empty.png",
		priority = "high",
		width = 1,
		height = 1
    },
    down =
    {
		filename = "__core__/graphics/empty.png",
		priority = "high",
		width = 1,
		height = 1
    },
    left =
    {
		filename = "__core__/graphics/empty.png",
		priority = "high",
		width = 1,
		height = 1
    },
    right =
    {
		filename = "__core__/graphics/empty.png",
		priority = "high",
		width = 1,
		height = 1
    },
  }
  },--]]
  
   {
    type = "fluid",
    name = "wind",
	icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/gases/wind.png",
    default_temperature = 15,
    heat_capacity = "1KJ",
    base_color = {r=0.9, g=0.9, b=0.9},
    flow_color = {r=0.9, g=0.9, b=0.9},
    max_temperature = 100,
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "w"
  },
  {
    type = "generator",
    name = Prototypes["small_wind_turbine"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/power/small-wind-turbine.png",
    flags = {"placeable-neutral","player-creation"},
    minable = {mining_time = 1, result = Prototypes["small_wind_turbine"]["names"].item},
    max_health = 50,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    effectivity = 2,
    fluid_usage_per_tick = 0.01,
    resistances =
    {
      {
        type = "fire",
        percent = 50
      }
    },
    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-0.9, -0.9}, {0.9, 0.9}},
    fluid_box =
    {
      base_area = 10,
      --pipe_covers = pipecoverspictures(),
      pipe_connections =
      {
        --{ position = {1,0.5} },
      },
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-output"
    },
    horizontal_animation =
    {
		filename = "__AnonyMods__/graphics/entity/small-wind-turbine/small-wind-turbine.png",
		priority = "extra-high",
		width = 128,
		height = 96,
		line_length = 8,
		frame_count = 32,
		shift = {0.65, 0},
    },
	vertical_animation =
    {
		filename = "__AnonyMods__/graphics/entity/small-wind-turbine/small-wind-turbine.png",
		priority = "extra-high",
		width = 128,
		height = 96,
		line_length = 8,
		frame_count = 32,
		shift = {0.65, 0},
    },
    --[[smoke =
    {
      {
        name = "light-smoke",
        north_position = {0.9, 0.0},
        east_position = {-2.0, -2.0},
        frequency = 10 / 32,
        starting_vertical_speed = 0.08,
        slow_down_factor = 1,
        starting_frame_deviation = 60
      }
    },--]]
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/train-wheels.ogg",
        volume = 0.45
      },
      match_speed_to_activity = true,
    },
    min_perceived_performance = 0.25,
    performance_to_sound_speedup = 0.01
  },
  
})  
  
  