require ("prototypes/entities/resources/resources-shared") 

data:extend({
	-------- AUTOPLACE-CONTROLS --------
	
	{
    type = "autoplace-control",
    name = "igneous-ore",
    richness = true,
    category = "resource",
	order = "i"
	},
	
	----------- NOISE-LAYERS -----------
	
	{
      type = "noise-layer",
      name = "igneous-ore"
    },
	
	-------------- ENTITY --------------
	
	{
    type = "resource",
    name = Prototypes["metallurgy"]["names"].entity_3,
	icons = resources["igneous_ore"]["item"]["icons"],
    flags = {"placeable-neutral"},
    order="i",
    minable =
    {
      hardness = 0.9,
      mining_particle = "igneous-particle",
      mining_time = 2,
      results = CheckResultsMining( 
		  { 
			{ name = "igneous-rock", type = "item", mineprobability = Config.Number["igneous-probability"] },
		  },
		  
		  { name = "iron-ore", type = "item", mineprobability = 1 } 
	  
	  )
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace = AutoplaceResources( "igneous_ore" ),
    stage_counts = {5000, 3000, 1500, 800, 400, 100, 50, 10},
    stages =
    {
      sheet =
      {
        filename = "__AnonyMods__/graphics/entity/resources/"..resources["igneous_ore"]["entity"]["ore_patch"]..".png",
        priority = "extra-high",
        width = 64,
        height = 64,
        frame_count = 8,
        variation_count = 8,
		tint = resources["igneous_ore"]["entity"]["resource_color"],
        hr_version =
          {
          filename = "__AnonyMods__/graphics/entity/resources/hr-"..resources["igneous_ore"]["entity"]["ore_patch"]..".png",
          priority = "extra-high",
          width = 128,
          height = 128,
          frame_count = 8,
          variation_count = 8,
		  tint = resources["igneous_ore"]["entity"]["resource_color"],
          scale = 0.5
          }
      }
    },
    map_color = resources["igneous_ore"]["entity"]["map_color"]
  },
  
  -------------- PARTICLE --------------
  
  {
    type = "particle",
    name = "igneous-particle",
    flags = {"not-on-map"},
    life_time = 180,
    pictures = ParticleResource( "igneous_ore" ),
    shadows = ParticleResourceShadow( "igneous_ore" ),
  },
	
})