require ("prototypes/entities/resources/resources-shared") 

data.raw["resource"]["iron-ore"].autoplace = nil
data.raw["resource"]["copper-ore"].autoplace = nil
data.raw["resource"]["stone"].autoplace = nil

data:extend({
	-------- AUTOPLACE-CONTROLS --------
	
	{
    type = "autoplace-control",
    name = "sedimentary-ore",
    richness = true,
    category = "resource",
	order = "s"
	},
	
	----------- NOISE-LAYERS -----------
	
	{
      type = "noise-layer",
      name = "sedimentary-ore"
    },
	
	-------------- ENTITY --------------
	
	{
    type = "resource",
    name = Prototypes["metallurgy"]["names"].entity,
	icons = resources["sedimentary_ore"]["item"]["icons"],
    flags = {"placeable-neutral"},
    order="s",
    minable =
    {
      hardness = 0.9,
      mining_particle = "sedimentary-particle",
      mining_time = 2,
      results = CheckResultsMining( 
		  { 
			{ name = "sedimentary-rock", type = "item", mineprobability = Config.Number["sedimentary-probability"] },
		  },
		  
		  { name = "iron-ore", type = "item", mineprobability = 1 } 
	  
	  )
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace = AutoplaceResources( "sedimentary_ore" ),
    stage_counts = {5000, 3000, 1500, 800, 400, 100, 50, 10},
    stages =
    {
      sheet =
      {
        filename = "__AnonyMods__/graphics/entity/resources/"..resources["sedimentary_ore"]["entity"]["ore_patch"]..".png",
        priority = "extra-high",
        width = 64,
        height = 64,
        frame_count = 8,
        variation_count = 8,
		tint = resources["sedimentary_ore"]["entity"]["resource_color"],
        hr_version =
          {
          filename = "__AnonyMods__/graphics/entity/resources/hr-"..resources["sedimentary_ore"]["entity"]["ore_patch"]..".png",
          priority = "extra-high",
          width = 128,
          height = 128,
          frame_count = 8,
          variation_count = 8,
		  tint = resources["sedimentary_ore"]["entity"]["resource_color"],
          scale = 0.5
          }
      }
    },
    map_color = resources["sedimentary_ore"]["entity"]["map_color"]
  },
  
  -------------- PARTICLE --------------
  
  {
    type = "particle",
    name = "sedimentary-particle",
    flags = {"not-on-map"},
    life_time = 180,
    pictures = ParticleResource( "sedimentary_ore" ),
    shadows = ParticleResourceShadow( "sedimentary_ore" ),
  },
	
})