require ("prototypes/entities/resources/resources-shared")

function MetallurgyAutoplace()

	if Config.Metallurgy == false then
		return {
		type = "autoplace-control",
		name = "tin-ore",
		richness = true,
		category = "resource",
	order = "t"
		}
	end
	
	return

end

data:extend({
	-------- AUTOPLACE-CONTROLS --------
	
	MetallurgyAutoplace(),
	
	----------- NOISE-LAYERS -----------
	
	{
      type = "noise-layer",
      name = "tin-ore"
    },
	
	-------------- ENTITY --------------
	
	{
    type = "resource",
    name = Prototypes["tin_ore"]["names"].entity,
	icons = resources["tin_ore"]["item"]["icons"],
    flags = {"placeable-neutral"},
    order="t",
    minable =
    {
      hardness = 0.9,
      mining_particle = "tin-ore-particle",
      mining_time = 2,
      results = CheckResultsMining( 
		  { 
			{ name = "tin_ore", type = "item", mineprobability = Config.Number["cassiterite-probability"] },
		  },
		  
		  { name = "iron-ore", type = "item", mineprobability = 1 } 
	  
	  )
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace = AutoplaceResources( "tin_ore" ),
    stage_counts = {5000, 3000, 1500, 800, 400, 100, 50, 10},
    stages =
    {
      sheet =
      {
        filename = "__AnonyMods__/graphics/entity/resources/"..resources["tin_ore"]["entity"]["ore_patch"]..".png",
        priority = "extra-high",
        width = 64,
        height = 64,
        frame_count = 8,
        variation_count = 8,
		tint = resources["tin_ore"]["entity"]["resource_color"],
        hr_version =
          {
          filename = "__AnonyMods__/graphics/entity/resources/hr-"..resources["tin_ore"]["entity"]["ore_patch"]..".png",
          priority = "extra-high",
          width = 128,
          height = 128,
          frame_count = 8,
          variation_count = 8,
		  tint = resources["tin_ore"]["entity"]["resource_color"],
          scale = 0.5
          }
      }
    },
    map_color = resources["tin_ore"]["entity"]["map_color"]
  },
  
  -------------- PARTICLE --------------
  
  {
    type = "particle",
    name = "tin-ore-particle",
    flags = {"not-on-map"},
    life_time = 180,
    pictures = ParticleResource( "tin_ore" ),
    shadows = ParticleResourceShadow( "tin_ore" ),
  },
	
})