
require ( "prototypes/entities/transport-belts/lightning-belt-shared" )

data:extend({

  {
    type = "underground-belt",
    name = Prototypes["lightning_underground_belt"]["names"].entity,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/transport-belts/lightning-underground-belt.png",
    flags = {"placeable-neutral", "player-creation", "fast-replaceable-no-build-while-moving"},
    minable = {hardness = 0.2, mining_time = 0.5, result = Prototypes["lightning_underground_belt"]["names"].item},
    max_health = 190,
    corpse = "small-remnants",
    underground_sprite =
    {
      filename = "__core__/graphics/arrows/underground-lines.png",
      priority = "high",
      width = 64,
      height = 64,
      x = 64,
      scale = 0.5
    },
	underground_remove_belts_sprite =
    {
      filename = "__core__/graphics/arrows/underground-lines-remove.png",
      priority = "high",
      width = 64,
      height = 64,
      x = 64,
      scale = 0.5
    },
    resistances =
    {
      {
        type = "fire",
        percent = 60
      }
    },
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    animation_speed_coefficient = 32,
    belt_horizontal = lightning_belt_horizontal, -- specified in transport-belt-pictures.lua
    belt_vertical = lightning_belt_vertical,
    ending_top = lightning_belt_ending_top,
    ending_bottom = lightning_belt_ending_bottom,
    ending_side = lightning_belt_ending_side,
    starting_top = lightning_belt_starting_top,
    starting_bottom = lightning_belt_starting_bottom,
    starting_side = lightning_belt_starting_side,
    fast_replaceable_group = "underground-belt",
    speed = 0.15625,
	max_distance = 29,
    structure =
    {
      direction_in =
      {
        sheet =
        {
          filename = "__AnonyMods__/graphics/entity/lightning-underground-belt/lightning-underground-belt-structure.png",
          priority = "extra-high",
          shift = {0.25, 0},
          width = 57,
          height = 43,
          y = 43,
          hr_version =
          {
            filename = "__AnonyMods__/graphics/entity/lightning-underground-belt/hr-lightning-underground-belt-structure.png",
            priority = "extra-high",
            shift = {0.15625, 0.0703125},
            width = 106,
            height = 85,
            y = 85,
            scale = 0.5
          }
        }
      },
      direction_out =
      {
        sheet =
        {
          filename = "__AnonyMods__/graphics/entity/lightning-underground-belt/lightning-underground-belt-structure.png",
          priority = "extra-high",
          shift = {0.25, 0},
          width = 57,
          height = 43,
          hr_version =
          {
            filename = "__AnonyMods__/graphics/entity/lightning-underground-belt/hr-lightning-underground-belt-structure.png",
            priority = "extra-high",
            shift = {0.15625, 0.0703125},
            width = 106,
            height = 85,
            scale = 0.5
          }

        }

      }
    },
    ending_patch = ending_patch_prototype
  },
  
 })