
require ("prototypes.items.combat.biter-animations")
require ("prototypes.items.combat.enemy-sounds")
require ("prototypes.items.combat.spitter-animations")

data:extend({
	
	{
    type = "capsule",
    name = Prototypes["behemoth_spitter_capsule"]["names"].item,
    icon_size = 32,
	icon = "__base__/graphics/icons/behemoth-spitter.png",
    flags = {"goes-to-quickbar"},
    subgroup = "capsule",
    order = "zaa",
    stack_size = 200,
    capsule_action =
		{
		  type = "throw",
		  attack_parameters =
		  {
			type = "projectile",
			ammo_category = "capsule",
			cooldown = 120,
			projectile_creation_distance = 0.6,
			range = 35,
			ammo_type =
			{
			  category = "capsule",
			  target_type = "position",
			  action =
			  {
				type = "direct",
				action_delivery =
				{
				  type = "projectile",
				  projectile = "behemoth-spitter-capsule",
				  starting_speed = 0.3
				}
			  }
			}
		  }
		}
	},
	
	{
    type = "projectile",
    name = "behemoth-spitter-capsule",
    flags = {"not-on-map"},
    acceleration = 0.005,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            show_in_tooltip = true,
            entity_name = "behemoth-spitter-player",
          },
        }
      }
    },
    light = {intensity = 0.5, size = 4},
    enable_drawing_with_mask = true,
    animation = {
          filename = "__AnonyMods__/graphics/icons/solids/alien-egg.png",
          flags = { "no-crop" },
		  scale = 0.5,
          frame_count = 1,
          width = 32,
          height = 32,
          priority = "high"
    },
    shadow =
    {
      filename = "__AnonyMods__/graphics/icons/solids/alien-egg.png",
      flags = { "no-crop" },
	  tint = { r = 0, g = 0, b = 0, a = 0.5 },
	  scale = 0.5,
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high",
	  draw_as_shadow = true
    },
    smoke = capsule_smoke,
  },
  
  {
    type = "unit",
    name = "behemoth-spitter-player",
    icon_size = 32,
	icon = "__base__/graphics/icons/behemoth-spitter.png",
	icon_size = 32,
    flags = {"placeable-player", "placeable-enemy", "placeable-off-grid", "not-repairable", "breaths-air"},
    max_health = 1500,
    order = "b-b-a",
    subgroup="enemies",
    collision_box = nil,
    collision_mask = { "ghost-layer"},
    selection_box = {{-0.7, -1.0}, {0.7, 1.0}},
	alert_when_damaged = false,
    time_to_live = 60 * 10,
    follows_player = true,
    range_from_player = 6,
    resistances =
    {
      {
        type = "explosion",
        percent = 30
      }
    },
    spawning_time_modifier = 12,
    healing_per_tick = 0.1,
    sticker_box = {{-0.3, -0.5}, {0.3, 0.1}},
    distraction_cooldown = 300,
    min_pursue_time = 10 * 60,
    max_pursue_distance = 50,
    attack_parameters = spitter_attack_parameters(
    {
      range=16,
      min_attack_distance=10,
      cooldown=100,
      damage_modifier=5,
      scale=behemothspitterscale,
      tint=behemothspittertint,
      roarvolume=0.8
    }),
    vision_distance = 30,
    movement_speed = 0.15,
    distance_per_frame = 0.084,
    pollution_to_join_attack = 10000,
    corpse = "behemoth-spitter-corpse",
    dying_explosion = "blood-explosion-big",
    working_sound = make_biter_calls(0.7),
    dying_sound = make_spitter_dying_sounds(0.8),
    run_animation = spitterrunanimation(behemothspitterscale, behemothspittertint),
	map_color = { r = 0, g = 0.25, b = 1, a = 1 },
  },

})