data:extend({
	
	{
    type = "ammo",
    name = Prototypes["electric_rocket"]["names"].item,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/combat/electric-rocket.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "rocket",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "electric-rocket",
          starting_speed = 0.1,
          source_effects =
          {
            type = "create-entity",
            entity_name = "explosion-hit"
          }
        }
      }
    },
    subgroup = "AnonyMods-Rockets",
    order = "d",
    stack_size = 200
  },
  
  {
    type = "projectile",
    name = "electric-rocket",
    flags = {"not-on-map"},
    acceleration = 0.005,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            entity_name = "explosion"
          },
		  {
            type = "create-entity",
            entity_name = "rocket-slowdown-capsule"
          },
		  {
            type = "damage",
            damage = {amount = 225, type = "electric"}
          },
        }
      }
    },
    light = {intensity = 0.5, size = 4},
    animation =
    {
      filename = "__base__/graphics/entity/rocket/rocket.png",
      frame_count = 8,
      line_length = 8,
      width = 9,
      height = 35,
      shift = {0, 0},
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/rocket/rocket-shadow.png",
      frame_count = 1,
      width = 7,
      height = 24,
      priority = "high",
      shift = {0, 0}
    },
    smoke =
    {
      {
        name = "smoke-fast",
        deviation = {0.15, 0.15},
        frequency = 1,
        position = {0, -1},
        slow_down_factor = 1,
        starting_frame = 3,
        starting_frame_deviation = 5,
        starting_frame_speed = 0,
        starting_frame_speed_deviation = 5
      }
    }
  },
  
  {
    type = "projectile",
    name = "rocket-slowdown-capsule",
    flags = {"not-on-map"},
    acceleration = 10,
    action =
    {
      type = "area",
      radius = 5,
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          type = "create-sticker",
          sticker = "rocket-sticker"
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/slowdown-capsule/slowdown-capsule.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high",
	  tint = { r=0, g=0, b=0, a=0 },
    },
    shadow = nil,
    smoke = nil,
  },
  
  {
    type = "sticker",
    name = "rocket-sticker",
    flags = {"not-on-map"},
    icon_size = 32,
	icon = "__base__/graphics/icons/slowdown-capsule.png",
    flags = {},
    animation =
    {
      filename = "__base__/graphics/entity/slowdown-sticker/slowdown-sticker.png",
      priority = "extra-high",
      width = 11,
      height = 11,
      frame_count = 13,
      animation_speed = 0.4,
	  tint = { r=0, g=0, b=0, a=0 },
    },
    duration_in_ticks = 5 * 60,
    target_movement_modifier = 0.55
  },

})