data:extend({
	
	{
    type = "ammo",
    name = Prototypes["electric_shotgun_shell"]["names"].item,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/combat/electric-shotgun-shell.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "shotgun-shell",
      target_type = "direction",
      source_effects =
      {
        type = "create-explosion",
        entity_name = "explosion-gunshot"
      },
      action =
        {
          type = "direct",
          repeat_count = 12,
          action_delivery =
          {
            type = "projectile",
            projectile = "electric-shotgun-pellet",
            starting_speed = 1,
            direction_deviation = 0.3,
            range_deviation = 0.3,
            max_range = 15
          }
        }
    },
    magazine_size = 15,
    subgroup = "AnonyMods-Pellets",
    order = "d",
    stack_size = 200
  },
  
  {
    type = "projectile",
    name = "electric-shotgun-pellet",
    flags = {"not-on-map"},
    collision_box = {{-0.05, -0.25}, {0.05, 0.25}},
    acceleration = 0,
    direction_only = true,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
			{
			  type = "damage",
			  damage = {amount = 6.5, type = "electric"}
			},
			{
              type = "create-entity",
              entity_name = "pellet-slowdown-capsule"
            },
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/bullet/bullet.png",
      frame_count = 1,
      width = 3,
      height = 50,
      priority = "high"
    },
  },
  
    {
    type = "projectile",
    name = "pellet-slowdown-capsule",
    flags = {"not-on-map"},
    acceleration = 10,
    action =
    {
      type = "area",
      radius = 1.5,
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          type = "create-sticker",
          sticker = "pellet-sticker"
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/slowdown-capsule/slowdown-capsule.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high",
	  tint = { r=0, g=0, b=0, a=0 },
    },
    shadow = nil,
    smoke = nil,
  },
  
  {
    type = "sticker",
    name = "pellet-sticker",
    flags = {"not-on-map"},
    icon_size = 32,
	icon = "__base__/graphics/icons/slowdown-capsule.png",
    flags = {},
    animation =
    {
      filename = "__base__/graphics/entity/slowdown-sticker/slowdown-sticker.png",
      priority = "extra-high",
      width = 11,
      height = 11,
      frame_count = 13,
      animation_speed = 0.4,
	  tint = { r=0, g=0, b=0, a=0 },
    },
    duration_in_ticks = 1 * 60,
    target_movement_modifier = 0.4
  },

})