data:extend({
	
	{
    type = "ammo",
    name = Prototypes["poison_shotgun_shell"]["names"].item,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/combat/poison-shotgun-shell.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "shotgun-shell",
      target_type = "direction",
      source_effects =
      {
        type = "create-explosion",
        entity_name = "explosion-gunshot"
      },
      action =
        {
          type = "direct",
          repeat_count = 10,
          action_delivery =
          {
            type = "projectile",
            projectile = "poison-shotgun-pellet",
            starting_speed = 1,
            direction_deviation = 0.3,
            range_deviation = 0.3,
            max_range = 15
          }
        }
    },
    magazine_size = 15,
    subgroup = "AnonyMods-Pellets",
    order = "g",
    stack_size = 200
  },
  
  {
    type = "projectile",
    name = "poison-shotgun-pellet",
    flags = {"not-on-map"},
    collision_box = {{-0.05, -0.25}, {0.05, 0.25}},
    acceleration = 0,
    direction_only = true,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
			{
			  type = "damage",
			  damage = {amount = 6, type = "poison"}
			},
			{
              type = "create-entity",
              entity_name = "pellet-poison"
            },
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/bullet/bullet.png",
      frame_count = 1,
      width = 3,
      height = 50,
      priority = "high"
    },
  },
  
    {
    type = "smoke-with-trigger",
    name = "pellet-poison",
    flags = {"not-on-map"},
    show_when_smoke_off = true,
    animation =
    {
      filename = "__base__/graphics/entity/cloud/cloud-45-frames.png",
      flags = { "compressed" },
      priority = "low",
      width = 256,
      height = 256,
      frame_count = 45,
      animation_speed = 0.5,
      line_length = 7,
      scale = 0.6,
    },
    slow_down_factor = 0,
    affected_by_wind = false,
    cyclic = true,
    duration = 2.5 * 60,
    fade_away_duration = 1 * 60,
    spread_duration = 10,
    color = { r = 0.2, g = 0.9, b = 0.2, a = 0.5 },
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          type = "nested-result",
          action =
          {
            type = "area",
            radius = 1.5,
            entity_flags = {"breaths-air"},
            action_delivery =
            {
              type = "instant",
              target_effects =
              {
                type = "damage",
                damage = { amount = 6, type = "poison"}
              }
            }
          }
        }
      }
    },
    action_frequency = 30
  },

})