function make_laser_sounds(volume)
    return
    {
      {
        filename = "__base__/sound/fight/laser-1.ogg",
        volume = 0.5
      },
      {
        filename = "__base__/sound/fight/laser-2.ogg",
        volume = 0.5
      },
      {
        filename = "__base__/sound/fight/laser-3.ogg",
        volume = 0.5
      }
    }
end

data:extend({

	{
    type = "item",
    name = Prototypes["personal_laser_defense_equipment_2"]["names"].item,
    icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/equipment/personal-laser-defense-equipment-2.png",
	placed_as_equipment_result = Prototypes["personal_laser_defense_equipment_2"]["names"].item,
    flags = {"goes-to-main-inventory"},
    subgroup = "equipment",
    order = "fb",
    stack_size = 20
    },
	
{
    type = "active-defense-equipment",
    name = Prototypes["personal_laser_defense_equipment_2"]["names"].item,
    sprite =
    {
      filename = "__AnonyMods__/graphics/equipment/personal-laser-defense-equipment-2.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "220kJ"
    },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 18,
      damage_modifier = 2,
      projectile_center = {0, 0},
      projectile_creation_distance = 0.6,
      range = 16,
      sound = make_laser_sounds(),
      ammo_type =
      {
        type = "projectile",
        category = "electric",
        energy_consumption = "200kJ",
        projectile = "laser",
        speed = 1.5,
        action =
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "laser",
                starting_speed = 0.28
              }
            }
          }
        }
      }
    },
    automatic = true,
    categories = {"armor"}
  },

})