
local crafting_machine_tint_color = {
			primary = {r = 0.773, g = 0.691, b = 0.479, a = 0.9},
			secondary = {r = 0.673, g = 0.591, b = 0.379, a = 0.8},
			tertiary = {r = 0.673, g = 0.591, b = 0.379, a = 0.9},
		}

data:extend({
  
	{
		type = "recipe",
		name = "sedimentary-crushing-hand",
		icon_size = 32,
	icon = "__base__/graphics/icons/icons-new/stone.png",
		enabled = true, 
		energy_required = 5,
		ingredients = { { "sedimentary-rock", 5 } },
		results=
		{
			{"stone",1},
		},
		main_product ="",
		subgroup = "intermediate-product",
		order = "s"
    }, 
  	{
		type = "recipe",
		name = Prototypes["metallurgy"]["names"].recipe.."-crushed",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/sedimentary-crushed.png",
		enabled = true, 
		category = "metallurgy-crushing",
		energy_required = 1,
		crafting_machine_tint = crafting_machine_tint_color,
		ingredients = CheckRecipe( Prototypes["metallurgy"].recipe_1_1 ),
		results=
		{
			{"sedimentary-crushed",1},
		},
		main_product = "",
		subgroup = "AnonyMods-Resources-Metallurgy-1",
		order = "x"
    },  
	{
		type = "recipe",
		name = Prototypes["metallurgy"]["names"].recipe.."-chunk",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/sedimentary-chunk.png",
		enabled = true,
		category = "metallurgy-washing",
		energy_required = 1,
		crafting_machine_tint = crafting_machine_tint_color,
		ingredients = CheckRecipe( Prototypes["metallurgy"].recipe_1_2 ),
		results=
		{
			{"sedimentary-chunk",1},
			{type="fluid", name="dirt-water", amount=10},
		},
		main_product = "",
		subgroup = "AnonyMods-Resources-Metallurgy-2",
		order = "x"
    },  	
	{
		type = "recipe",
		name = Prototypes["metallurgy"]["names"].recipe.."-filtered",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/sedimentary-filtered.png",
		enabled = true,
		category = "metallurgy-leaching",
		energy_required = 1,
		crafting_machine_tint = crafting_machine_tint_color,
		ingredients = CheckRecipe( Prototypes["metallurgy"].recipe_1_3 ),
		results=
		{
			{"sedimentary-filtered",1},
			{type="fluid", name="sewage-sulfuric", amount=10},
		},
		main_product = "",
		subgroup = "AnonyMods-Resources-Metallurgy-3",
		order = "x"
    },	
	{
		type = "recipe",
		name = Prototypes["metallurgy"]["names"].recipe.."-purified",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/sedimentary-purified.png",
		enabled = true,
		category = "metallurgy-purifying",
		energy_required = 1,
		crafting_machine_tint = crafting_machine_tint_color,
		ingredients = CheckRecipe( Prototypes["metallurgy"].recipe_1_4 ),
		results=
		{
			{"sedimentary-purified",1},
			{type="fluid", name="carbon-dioxide", amount=10},
		},
		main_product = "",
		subgroup = "AnonyMods-Resources-Metallurgy-4",
		order = "x"
    }, 	
	{
		type = "recipe",
		name = Prototypes["metallurgy"]["names"].recipe.."-crystal",
		icon_size = 32,
	icon = "__AnonyMods__/graphics/icons/metallurgy/sedimentary-crystal.png",
		enabled = true,
		category = "metallurgy-crystalizing",
		energy_required = 1,
		crafting_machine_tint = crafting_machine_tint_color,
		ingredients = CheckRecipe( Prototypes["metallurgy"].recipe_1_5 ),
		results=
		{
			{"sedimentary-crystal",1},
		},
		main_product = "",
		subgroup = "AnonyMods-Resources-Metallurgy-5",
		order = "x"
    },  
  
})
