require ("prototypes/items/modules/duplicating-limitations")

--[[Duplicator_Unlocks = DuplicatorItems

for k, v in pairs( DuplicatingItems ) do

	if Prototypes[v]["enabled"] == true then

		table.insert( Duplicator_Unlocks, Prototypes[v]["names"]["recipe"] )
	
	end

end

local insert_duplicated = function ( default )

	local duplicator_table = {}

	for k, v in pairs ( default ) do
	
		table.insert( duplicator_table, { type = "unlock-recipe", recipe = v.recipe } )

	end
	
	for k, v in pairs( Duplicator_Unlocks ) do
	
		if Prototypes[v] ~= nil then
		
			table.insert( duplicator_table, { type = "unlock-recipe", recipe = Prototypes[v]["names"]["recipe"].."-duplicating" } )
			
		else
		
			table.insert( duplicator_table, { type = "unlock-recipe", recipe = v.."-duplicating" } )
		
		end
	
	end
	
	return duplicator_table

end--]]

data:extend({

	{
		type = "technology",
		name = Research["duplicator_modules_1"]["names"].technology,
		icon = "__AnonyMods__/graphics/technology/duplicator-module.png",
		icon_size = 128,
		upgrade = true,
		effects = CheckResearchUnlock( { "duplicator_modules_1" } ),
		prerequisites = CheckResearchPrerequisites( { "modules", "productivity-module-2", } ),
		unit =
		{
			count = 100,
			time = 40,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 1 }, 
				{ name = "science-pack-2", count = 1 }, 
	
			}),
		},
		order = "d-m"
	}
	
})

