
--data.raw["recipe"]["fill-crude-oil-barrel"] = nil
--data.raw["recipe"]["empty-crude-oil-barrel"] = nil
--data.raw["item"]["crude-oil-barrel"] = nil

data.raw["recipe"]["fill-crude-oil-barrel"].subgroup = "AnonyMods-FluidsGases-Barreling"
data.raw["recipe"]["fill-crude-oil-barrel"].order = "a"
data.raw["recipe"]["fill-crude-oil-barrel"].category = "pump"
data.raw["recipe"]["fill-crude-oil-barrel"].energy_required = Config.Number["fluid-barreling-time"]
data.raw["recipe"]["fill-crude-oil-barrel"].icon = nil
data.raw["recipe"]["fill-crude-oil-barrel"].icons =
		  {
			{
				icon = "__base__/graphics/icons/fluid/crude-oil.png",
			},
			{
				icon = "__AnonyMods__/graphics/icons/fluids/barrel-in.png"
			},	
		  }

data.raw["recipe"]["empty-crude-oil-barrel"].subgroup = "AnonyMods-FluidsGases-Barreling"
data.raw["recipe"]["empty-crude-oil-barrel"].order = "aa"
data.raw["recipe"]["empty-crude-oil-barrel"].category = "pump"
data.raw["recipe"]["empty-crude-oil-barrel"].energy_required = Config.Number["fluid-barreling-time"]
data.raw["recipe"]["empty-crude-oil-barrel"].icon = nil
data.raw["recipe"]["empty-crude-oil-barrel"].icons =
		  {
			{
				icon = "__base__/graphics/icons/fluid/crude-oil.png",
			},
			{
				icon = "__AnonyMods__/graphics/icons/fluids/barrel-out.png"
			},	
		  }

data.raw["item"]["crude-oil-barrel"].subgroup = "AnonyMods-FluidsGases-Barreling"
data.raw["item"]["crude-oil-barrel"].order = "a"
data.raw["item"]["crude-oil-barrel"].icon = nil
data.raw["item"]["crude-oil-barrel"].icons =
		  {
			{
				icon = "__AnonyMods__/graphics/icons/fluids/barrel-full.png"
			},			
			{
				icon = "__base__/graphics/icons/fluid/crude-oil.png",
			},
		  }

local ordering = {
				--{ "a","aa" },
				{ "b","bb" },
				{ "c","cc" },
				{ "d","dd" },
				{ "e","ee" },
				{ "f","ff" },
				{ "g","gg" },
				{ "h","hh" },
				{ "i","ii" },
				{ "j","jj" },
				{ "k","kk" },
				{ "l","ll" },
				{ "m","mm" },
				{ "n","nn" },
				{ "o","oo" },
				{ "p","pp" },
				{ "q","qq" },
				{ "r","rr" },
				{ "s","ss" },
				{ "t","tt" },
				{ "u","uu" },
				{ "v","vv" },
				{ "x","xx" },
				{ "y","yy" },
				{ "z","zz" },

}

local fluids = {
				--"crude-oil",
				"water",
				"heavy-oil",
				"light-oil",
				"lubricant",
				"sulfuric-acid",
				"benzene",
				"ferric_chloride",
				"hydrochloric_acid",
				"perchloric_acid",
				"tungstic_acid",
				"nitric_acid",
				"glycerol",
				"thermal_water",

}

local tablefluids = {}

table.insert( tablefluids, { type = "unlock-recipe", recipe = "fill-crude-oil-barrel" } )
table.insert( tablefluids, { type = "unlock-recipe", recipe = "empty-crude-oil-barrel" } )

for k, v in pairs ( fluids ) do

	if Prototypes[v] == nil then
	
		data:extend({
	
		{
		type = "item",
		name = v.."-barrel",
		icons =
		  {
			{
				icon = "__AnonyMods__/graphics/icons/fluids/barrel-full.png"
			},			
			{
				icon = "__base__/graphics/icons/fluid/"..v..".png",
			},
		  },
		flags = {"goes-to-main-inventory"},
		subgroup = "AnonyMods-FluidsGases-Barreling",
		order = ordering[k][1],
		stack_size = 50
		},
	
		{
		type = "recipe",
		name = "pump-"..v.."-in",
		icons =
		  {
			{
				icon = "__base__/graphics/icons/fluid/"..v..".png",
			},
			{
				icon = "__AnonyMods__/graphics/icons/fluids/barrel-in.png"
			},	
		  },
		enabled = false,
		energy_required = Config.Number["fluid-barreling-time"],
		category = "pump",
		ingredients = 
		{
		  {type="fluid", name= v, amount=25},
		  {type="item", name="empty-barrel", amount=1}
		},
		results=
		{
		  {type="item", name= v.."-barrel", amount=1}
		},
		subgroup = "AnonyMods-FluidsGases-Barreling",
		order = ordering[k][1]
		},
	
		{
		type = "recipe",
		name = "pump-"..v.."-out",
		icons =
		  {
			{
				icon = "__base__/graphics/icons/fluid/"..v..".png",
			},
			{
				icon = "__AnonyMods__/graphics/icons/fluids/barrel-out.png"
			},	
		  },
		enabled = false,
		energy_required = Config.Number["fluid-barreling-time"],
		category = "pump",
		ingredients = 
		{
		  {type="item", name= v.."-barrel", amount=1}
		},
		results=
		{
		  {type="fluid", name= v, amount=25},
		  {type="item", name="empty-barrel", amount=1}
		},
		subgroup = "AnonyMods-FluidsGases-Barreling",
		order = ordering[k][2]
		},
		
		})
	
		table.insert( tablefluids, { type = "unlock-recipe", recipe = "pump-"..v.."-in" } )
		table.insert( tablefluids, { type = "unlock-recipe", recipe = "pump-"..v.."-out" } )
	
	else

		if Prototypes[v]["enabled"] == true then
	
		data:extend({
	
		{
		type = "item",
		name = Prototypes[v]["names"]["item"].."-barrel",
		icons =
		  {
			{
				icon = "__AnonyMods__/graphics/icons/fluids/barrel-full.png"
			},	
			{
				icon = "__AnonyMods__/graphics/icons/fluids/"..Prototypes[v]["names"]["item"]..".png",
			},
		  },
		flags = {"goes-to-main-inventory"},
		subgroup = "AnonyMods-FluidsGases-Barreling",
		order = ordering[k][1],
		stack_size = 50
		},
	
		{
		type = "recipe",
		name = "pump-"..Prototypes[v]["names"]["item"].."-in",
		icons =
		  {
			{
				icon = "__AnonyMods__/graphics/icons/fluids/"..Prototypes[v]["names"]["item"]..".png",
			},
			{
				icon = "__AnonyMods__/graphics/icons/fluids/barrel-in.png"
			},	
		  },
		enabled = false,
		energy_required = Config.Number["fluid-barreling-time"],
		category = "pump",
		ingredients = 
		{
		  {type="fluid", name= Prototypes[v]["names"]["item"], amount=25},
		  {type="item", name="empty-barrel", amount=1}
		},
		results=
		{
		  {type="item", name= Prototypes[v]["names"]["item"].."-barrel", amount=1}
		},
		subgroup = "AnonyMods-FluidsGases-Barreling",
		order = ordering[k][1]
		},
	
		{
		type = "recipe",
		name = "pump-"..Prototypes[v]["names"]["item"].."-out",
		icons =
		  {
			{
				icon = "__AnonyMods__/graphics/icons/fluids/"..Prototypes[v]["names"]["item"]..".png",
			},
			{
				icon = "__AnonyMods__/graphics/icons/fluids/barrel-out.png"
			},	
		  },
		enabled = false,
		energy_required = Config.Number["fluid-barreling-time"],
		category = "pump",
		ingredients = 
		{
		  {type="item", name= Prototypes[v]["names"]["item"].."-barrel", amount=1}
		},
		results=
		{
		  {type="fluid", name= Prototypes[v]["names"]["item"], amount=25},
		  {type="item", name="empty-barrel", amount=1}
		},
		subgroup = "AnonyMods-FluidsGases-Barreling",
		order = ordering[k][2]
		},
		
		})
	
		table.insert( tablefluids, { type = "unlock-recipe", recipe = "pump-"..Prototypes[v]["names"]["item"].."-in" } )
		table.insert( tablefluids, { type = "unlock-recipe", recipe = "pump-"..Prototypes[v]["names"]["item"].."-out" } )

		end
	
	end

end


data:extend({

	{
		type = "technology",
		name = Research["fluid_barreling"]["names"].technology,
		icon = "__AnonyMods__/graphics/technology/fluid-barreling.png",
		icon_size = 128,
		effects = tablefluids,
		prerequisites = CheckResearchPrerequisites( { "fluid-handling" } ),
		unit =
		{
			count = 50,
			time = 10,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 1 }, 
				{ name = "science-pack-2", count = 1 }, 
	
			}),
		},
		order = "f-b"
	}
	
})

