
local function CheckBarrel()

	if Prototypes["gas_cylinder"]["enabled"] == true then
	
		return "gas-cylinder"
		
	else
	
		return "empty-barrel"
		
	end

end

local barrel = CheckBarrel()

local ordering = {
				{ "a","aa" },
				{ "b","bb" },
				{ "c","cc" },
				{ "d","dd" },
				{ "e","ee" },
				{ "f","ff" },
				{ "g","gg" },
				{ "h","hh" },
				{ "i","ii" },
				{ "j","jj" },
				{ "k","kk" },
				{ "l","ll" },
				{ "m","mm" },
				{ "n","nn" },
				{ "o","oo" },

}

local gases = {
				"petroleum-gas",
				"natural_gas",
				"propane",
				"butane",
				"compressed_gas",
				"hydrogen",
				"oxygen",
				"nitrogen",
				"chlorine",
				"nitrogen_dioxide",
				"sulfur_dioxide",

}

local tablegases = {}

for k, v in pairs ( gases ) do

	if Prototypes[v] == nil then
	
		data:extend({
	
		{
		type = "item",
		name = v.."-barrel",
		icons =
		  {
			{
				icon = "__AnonyMods__/graphics/icons/gases/barrel-full.png"
			},			
			{
				icon = "__base__/graphics/icons/fluid/"..v..".png",
			},
		  },
		flags = {"goes-to-main-inventory"},
		subgroup = "AnonyMods-FluidsGases-GasBarreling",
		order = ordering[k][1],
		stack_size = 50
		},
	
		{
		type = "recipe",
		name = "pump-"..v.."-in",
		icons =
		  {
			{
				icon = "__base__/graphics/icons/fluid/"..v..".png",
			},
			{
				icon = "__AnonyMods__/graphics/icons/gases/barrel-in.png"
			},	
		  },
		enabled = false,
		energy_required = Config.Number["gas-barreling-time"],
		category = "compressor",
		ingredients = 
		{
		  {type="fluid", name= v, amount=25},
		  {type="item", name=barrel, amount=1}
		},
		results=
		{
		  {type="item", name= v.."-barrel", amount=1}
		},
		subgroup = "AnonyMods-FluidsGases-GasBarreling",
		order = ordering[k][1]
		},
	
		{
		type = "recipe",
		name = "pump-"..v.."-out",
		icons =
		  {
			{
				icon = "__base__/graphics/icons/fluid/"..v..".png",
			},
			{
				icon = "__AnonyMods__/graphics/icons/gases/barrel-out.png"
			},	
		  },
		enabled = false,
		energy_required = Config.Number["gas-barreling-time"],
		category = "compressor",
		ingredients = 
		{
		  {type="item", name= v.."-barrel", amount=1}
		},
		results=
		{
		  {type="fluid", name= v, amount=25},
		  {type="item", name=barrel, amount=1}
		},
		subgroup = "AnonyMods-FluidsGases-GasBarreling",
		order = ordering[k][2]
		},
		
		})
	
		table.insert( tablegases, { type = "unlock-recipe", recipe = "pump-"..v.."-in" } )
		table.insert( tablegases, { type = "unlock-recipe", recipe = "pump-"..v.."-out" } )
	
	else

		if Prototypes[v]["enabled"] == true then
	
		data:extend({
	
		{
		type = "item",
		name = Prototypes[v]["names"]["item"].."-barrel",
		icons =
		  {
			{
				icon = "__AnonyMods__/graphics/icons/gases/barrel-full.png"
			},	
			{
				icon = "__AnonyMods__/graphics/icons/gases/"..Prototypes[v]["names"]["item"]..".png",
			},
		  },
		flags = {"goes-to-main-inventory"},
		subgroup = "AnonyMods-FluidsGases-GasBarreling",
		order = ordering[k][1],
		stack_size = 50
		},
	
		{
		type = "recipe",
		name = "pump-"..Prototypes[v]["names"]["item"].."-in",
		icons =
		  {
			{
				icon = "__AnonyMods__/graphics/icons/gases/"..Prototypes[v]["names"]["item"]..".png",
			},
			{
				icon = "__AnonyMods__/graphics/icons/gases/barrel-in.png"
			},	
		  },
		enabled = false,
		energy_required = Config.Number["gas-barreling-time"],
		category = "compressor",
		ingredients = 
		{
		  {type="fluid", name= Prototypes[v]["names"]["item"], amount=25},
		  {type="item", name=barrel, amount=1}
		},
		results=
		{
		  {type="item", name= Prototypes[v]["names"]["item"].."-barrel", amount=1}
		},
		subgroup = "AnonyMods-FluidsGases-GasBarreling",
		order = ordering[k][1]
		},
	
		{
		type = "recipe",
		name = "pump-"..Prototypes[v]["names"]["item"].."-out",
		icons =
		  {
			{
				icon = "__AnonyMods__/graphics/icons/gases/"..Prototypes[v]["names"]["item"]..".png",
			},
			{
				icon = "__AnonyMods__/graphics/icons/gases/barrel-out.png"
			},	
		  },
		enabled = false,
		energy_required = Config.Number["gas-barreling-time"],
		category = "compressor",
		ingredients = 
		{
		  {type="item", name= Prototypes[v]["names"]["item"].."-barrel", amount=1}
		},
		results=
		{
		  {type="fluid", name= Prototypes[v]["names"]["item"], amount=25},
		  {type="item", name=barrel, amount=1}
		},
		subgroup = "AnonyMods-FluidsGases-GasBarreling",
		order = ordering[k][2]
		},
		
		})
	
		table.insert( tablegases, { type = "unlock-recipe", recipe = "pump-"..Prototypes[v]["names"]["item"].."-in" } )
		table.insert( tablegases, { type = "unlock-recipe", recipe = "pump-"..Prototypes[v]["names"]["item"].."-out" } )
	
		end
	
	end

end

data:extend({

	{
		type = "technology",
		name = Research["gas_barreling"]["names"].technology,
		icon = "__AnonyMods__/graphics/technology/gas-barreling.png",
		icon_size = 128,
		effects = tablegases,
		prerequisites = CheckResearchPrerequisites( { "fluid-handling" } ),
		unit =
		{
			count = 50,
			time = 10,
			ingredients = CheckResearchRecipe({
	
				{ name = "science-pack-1", count = 1 }, 
				{ name = "science-pack-2", count = 1 }, 
	
			}),
		},
		order = "g-b"
	}
	
})

