
function PlaceBurnerEngine ( event )

	local ent = event.created_entity

	if not ent.valid then return end
	
	if string.match( ent.name, "burner%-engine%-" ) ~= nil then

		local variety =  string.match( ent.name, "%d+" )
		local Entries = 
		{
		
			pump = { name = "burner-engine-pump", x = -1, y = 0 },
			boiler = { name = "burner-engine-"..variety.."-boiler", x = 0, y = 0 },
			engine = { name = "burner-engine-"..variety.."-engine", x = 0.5, y = 0 },
			bounding = { name = "burner-engine-bounding", x = 0, y = 0 },
		
		}
		
		local X = ent.position.x
		local Y = ent.position.y
		local pump = ent.surface.create_entity{ name = Entries["pump"].name, position = { X + Entries["pump"].x, Y + Entries["pump"].y }, direction = ent.direction, force = game.forces.neutral }
		pump.destructible = true
		pump.operable = false		
		
		local boiler = ent.surface.create_entity{ name = Entries["boiler"].name, position = { X + Entries["boiler"].x, Y + Entries["boiler"].y }, direction = ent.direction, force = game.forces.neutral }
		boiler.destructible = true
		boiler.operable = true		
		
		local engine = ent.surface.create_entity{ name = Entries["engine"].name, position = { X + Entries["engine"].x, Y + Entries["engine"].y }, direction = ent.direction, force = game.forces.neutral }
		engine.destructible = false
		engine.operable = false		
		
		local bounding = ent.surface.create_entity{ name = Entries["bounding"].name, position = { X + Entries["bounding"].x, Y + Entries["bounding"].y }, direction = ent.direction, force = game.forces.neutral }
		bounding.destructible = false
		bounding.operable = false
	
		global.burner_engines_pump = global.burner_engines_pump or {}
		global.burner_engines_boiler = global.burner_engines_boiler or {}
		global.burner_engines_engine = global.burner_engines_engine or {}
		global.burner_engines_bounding = global.burner_engines_bounding or {}
		
		local num = ( #global.burner_engines_boiler + 1 )
		
		--table.insert( global.burner_engines, num, ent )
		table.insert( global.burner_engines_pump, num, pump )
		table.insert( global.burner_engines_boiler, num, boiler )
		table.insert( global.burner_engines_engine, num, engine )
		table.insert( global.burner_engines_bounding, num, bounding )
		
		DebugPrint( "Burner engine placed on position "..num )
		
		ent.destroy()
	
	end

end

function DestroyBurnerEngine ( event )

	if not event.entity.valid then return end

	if string.match( event.entity.name, "burner%-engine%-" ) ~= nil then

		for k, v in pairs ( global.burner_engines_boiler ) do
	
			if event.entity == v then
	
				DebugPrint( "Burner engine "..k.." is being removed" )
	
				--table.remove( global.burner_engines, k )
				
				--global.burner_engines_boiler[k].destroy()
				table.remove( global.burner_engines_boiler, k )	

				global.burner_engines_pump[k].destroy()
				table.remove( global.burner_engines_pump, k )				
				
				global.burner_engines_engine[k].destroy()
				table.remove( global.burner_engines_engine, k )				
				
				global.burner_engines_bounding[k].destroy()
				table.remove( global.burner_engines_bounding, k )
			
				break
			
			end
		
		end
		
	end	

end


AddEventFunction( "on_built_entity", PlaceBurnerEngine )
AddEventFunction( "on_robot_built_entity", PlaceBurnerEngine )
AddEventFunction( "on_preplayer_mined_item", DestroyBurnerEngine )
AddEventFunction( "on_robot_pre_mined", DestroyBurnerEngine )
AddEventFunction( "on_entity_died", DestroyBurnerEngine )

