
function PlaceManualGenerator ( event )

	local ent = event.created_entity

	if not ent.valid then return end
	
	if ent.name == "manual-generator" then

		global.manual_generators = global.manual_generators or {}
		local num = ( #global.manual_generators + 1 )
		
		table.insert( global.manual_generators, num, ent )
		
		DebugPrint( "Manual generator placed on position "..num )	
	
	end

end

function DestroyManualGenerator ( event )

	if not event.entity.valid then return end

	if event.entity.name == "manual-generator" then

		for k, v in pairs ( global.manual_generators ) do
	
			if event.entity == v then
	
				DebugPrint( "Manual generator "..k.." is being removed" )
	
				table.remove( global.manual_generators, k )
			
			end
		
		end
		
	end	

end

function ThinkManualGenerator ( event )

	if global.manual_generators ~= nil then
		
		for k, v in pairs ( global.manual_generators ) do
		
			if global.manual_generators[k].valid then 
			
				local generator = global.manual_generators[k]
				
				if generator.surface.count_entities_filtered{ area = { { generator.position.x - 2, generator.position.y - 2 }, { generator.position.x + 2, generator.position.y + 2 } }, type = "player" } > 0 then
				
					if global.manual_generators[k].fluidbox[1] ~= nil then
					
						local fluidpipe = global.manual_generators[k].fluidbox[1]
						fluidpipe.amount = fluidpipe.amount + 1
						global.manual_generators[k].fluidbox[1] = fluidpipe
					
					else
					
						global.manual_generators[k].fluidbox[1] = { name = "inertia", amount = 1 , temperature = 165 }
					
					end
				
				end
				
			end
			
		end
	
	end


end

AddEventFunction( "on_tick", ThinkManualGenerator )
AddEventFunction( "on_built_entity", PlaceManualGenerator )
AddEventFunction( "on_robot_built_entity", PlaceManualGenerator )
AddEventFunction( "on_preplayer_mined_item", DestroyManualGenerator )
AddEventFunction( "on_robot_pre_mined", DestroyManualGenerator )
AddEventFunction( "on_entity_died", DestroyManualGenerator )

